Skip to main content
GET
/
liquidity
Route liquidity limit
curl --request GET \
  --url https://v1.orchestrator.rhinestone.dev/liquidity \
  --header 'x-api-key: <x-api-key>'
{
  "symbol": "USDC",
  "decimals": 6,
  "unlimited": false,
  "maxAmount": "200000000000"
}

Headers

x-api-key
string
required

Rhinestone API key

x-api-version
string

API version (YYYY-MM.name). Will become required in a future release.

Pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
Example:

"2026-01.alps"

Query Parameters

sourceChainId
integer
required

Source chain ID

Required range: x >= 1
Example:

1

sourceToken
string
required

Source token address

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

destinationChainId
integer
required

Destination chain ID

Required range: x >= 1
Example:

8453

destinationToken
string
required

Destination token address

Example:

"0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"

Response

200

Liquidity information for the requested route

symbol
string
required

Destination token symbol

Example:

"USDC"

decimals
number
required

Destination token decimals

Example:

6

unlimited
boolean
required

True when an uncapped settlement layer (e.g. OFT) supports this route

Example:

false

maxAmount
string | null
required

Largest fillable amount for this token by a single relayer instance. Null when unlimited.

Example:

"200000000000"